Loading...
Searching...
No Matches
jsOptions::jsOptionsStream::jsOptionsStreamPurge Struct Reference

`#include <nats.h>`

## Public Attributes

const char * | Subject
| This is the subject to match against messages for the purge command.
uint64_t | Sequence
| Purge up to but not including sequence.
uint64_t | Keep
| Number of messages to keep.

## Detailed Description

Advanced stream purge options

- `Subject` will filter the purge request to only messages that match the subject, which can have wildcards.
- `Sequence` will purge up to but not including this sequence and can be combined with subject filtering.
- `Keep` will specify how many messages to keep and can be combined with subject filtering.

Note
  `Sequence` and `Keep` are mutually exclusive, so both can not be set at the same time.

## Member Data Documentation

## Subject

const char* jsOptions::jsOptionsStream::jsOptionsStreamPurge::Subject

## Sequence

uint64_t jsOptions::jsOptionsStream::jsOptionsStreamPurge::Sequence

## Keep

uint64_t jsOptions::jsOptionsStream::jsOptionsStreamPurge::Keep

The documentation for this struct was generated from the following file:

- nats.h